Page MenuHomePhabricator

Not showing up as maintainer for several projects on toollabs
Closed, ResolvedPublic

Description

See title. For the last few days, I don't show up as maintainer for two projects on tools.wmflabs.org: wikilinkbot and my own project space, wiki13. I can do "become <projectname>" just fine, thinking the issue isn't on my side (for as far as I know)

Related Objects

StatusAssignedTask
Resolvedscfc

Event Timeline

Wiki13 created this task.Dec 26 2015, 6:33 PM
Wiki13 raised the priority of this task from to Needs Triage.
Wiki13 updated the task description. (Show Details)
Wiki13 added a project: Toolforge.
Wiki13 added a subscriber: Wiki13.
Restricted Application added a project: Cloud-Services. · View Herald TranscriptDec 26 2015, 6:33 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
scfc claimed this task.Dec 26 2015, 7:23 PM
scfc added a subscriber: scfc.

updatetools.log is full of:

Traceback (most recent call last):
  File "/usr/local/bin/updatetools", line 72, in <module>
    update_users_table(db)
  File "/usr/local/bin/updatetools", line 63, in update_users_table
    account.pw_dir))
  File "/usr/lib/python2.7/dist-packages/MySQLdb/cursors.py", line 174, in execute
    self.errorhandler(self, exc, value)
  File "/usr/lib/python2.7/dist-packages/MySQLdb/connections.py", line 36, in defaulterrorhandler
    raise errorclass, errorvalue
_mysql_exceptions.IntegrityError: (1062, "Duplicate entry '3781' for key 'id'")

so probably related to that.

scfc added a subtask: Restricted Task.Dec 26 2015, 8:02 PM
scfc moved this task from Triage to In Progress on the Toolforge board.Dec 26 2015, 9:20 PM
scfc changed the task status from Open to Stalled.Dec 26 2015, 9:24 PM

I have hot-fixed the issue in the database; http://tools.wmflabs.org/#toollist-wikilinkbot now shows your user name.

Thank you very much for that! Just one question let: If I would be added as maintainer to another project (not that it will happen really soon) this problem could theoretically come back, right? Or do I have to see this as: your are fine for the forseeable future?

scfc added a comment.Dec 26 2015, 10:13 PM

All tools with you as maintainer should correctly display that fact, now and in the foreseeable future.

Andrew closed subtask Restricted Task as Resolved.Dec 30 2015, 5:38 PM
scfc closed this task as Resolved.Dec 31 2015, 2:21 AM

I have changed the id index on the users table back to UNIQUE:

MariaDB [toollabs_p]> SHOW COLUMNS FROM users;
+----------+-------------+------+-----+---------+-------+
| Field    | Type        | Null | Key | Default | Extra |
+----------+-------------+------+-----+---------+-------+
| name     | varchar(64) | NO   | PRI | NULL    |       |
| id       | int(11)     | NO   | UNI | NULL    |       |
| wikitech | varchar(64) | NO   | UNI | NULL    |       |
| home     | text        | NO   |     | NULL    |       |
+----------+-------------+------+-----+---------+-------+
4 rows in set (0.01 sec)

MariaDB [toollabs_p]>